Bug 98843 - Dangling applnk link
Summary: Dangling applnk link
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-09 14:42 UTC by Dave Shield
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-10 10:00:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Shield 2003-07-09 14:42:59 UTC
Description of problem:
The list of "applnk" component desktop descriptions is missing.
The 'kdebase' package includes a link /usr/share/applnk-redhat
which points to /var/lib/menu/kde/Applications
But the /var/lib/menu/kde directory is empty.

Version-Release number of selected component (if applicable):
3.1-12

How reproducible:
Very

Steps to Reproduce:
1. run 'redhat-config-packages' and select 'KDE Desktop Environment"
2. ls /usr/share/applnk-redhat/
    
Actual results:
ls: /usr/share/applnk-redhat/: No such file or directory

Expected results:
a somewhat fuller listing :-)

Additional info:
The missing description files may well be supplied by another RPM package.
In which case including this dependency within the RPM and/or comps.xml
description file would be sufficient to rectify things.

Comment 1 Ngo Than 2003-07-10 10:00:08 UTC
It's fixed in kdebase-3.1.2-16 or newer.

If you don't want to upgrade it from rawhide, please lauch
/usr/bin/desktop-create-kmenu. It will fix this problem.


Note You need to log in before you can comment on or make changes to this bug.